summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/acl4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/acl b/tests/cp/acl
index 2bf637c2f..8abb6c1c3 100755
--- a/tests/cp/acl
+++ b/tests/cp/acl
@@ -34,7 +34,7 @@ acl1=`cd a && getfacl file | grep -v ':bin:' | grep -v 'mask::'` \
|| framework_failure=1
cp a/file b/ || fail=1
acl2=`cd b && getfacl file` || framework_failure=1
-test "$acl1" == "$acl2" || fail=1
+test "$acl1" = "$acl2" || fail=1
rm a/file || framework_failure=1
# copy a file, preserving permissions
@@ -43,7 +43,7 @@ setfacl -m user:bin:rw a/file || framework_failure=1
acl1=`cd a && getfacl file` || framework_failure=1
cp -p a/file b/ || fail=1
acl2=`cd b && getfacl file` || framework_failure=1
-test "$acl1" == "$acl2" || fail=1
+test "$acl1" = "$acl2" || fail=1
if test $framework_failure = 1; then
echo 'failure in testing framework'